#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ScalpRadar.ScalpRadarHighLowEnvelope[] cacheScalpRadarHighLowEnvelope;

		
		public ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			return ScalpRadarHighLowEnvelope(Input, indicatorInfo, period, showHighestHigh, showLowestLow, highCalcMethod, lowCalcMethod);
		}


		
		public ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(ISeries<double> input, string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			if (cacheScalpRadarHighLowEnvelope != null)
				for (int idx = 0; idx < cacheScalpRadarHighLowEnvelope.Length; idx++)
					if (cacheScalpRadarHighLowEnvelope[idx].IndicatorInfo == indicatorInfo && cacheScalpRadarHighLowEnvelope[idx].Period == period && cacheScalpRadarHighLowEnvelope[idx].ShowHighestHigh == showHighestHigh && cacheScalpRadarHighLowEnvelope[idx].ShowLowestLow == showLowestLow && cacheScalpRadarHighLowEnvelope[idx].highCalcMethod == highCalcMethod && cacheScalpRadarHighLowEnvelope[idx].lowCalcMethod == lowCalcMethod && cacheScalpRadarHighLowEnvelope[idx].EqualsInput(input))
						return cacheScalpRadarHighLowEnvelope[idx];
			return CacheIndicator<ScalpRadar.ScalpRadarHighLowEnvelope>(new ScalpRadar.ScalpRadarHighLowEnvelope(){ IndicatorInfo = indicatorInfo, Period = period, ShowHighestHigh = showHighestHigh, ShowLowestLow = showLowestLow, highCalcMethod = highCalcMethod, lowCalcMethod = lowCalcMethod }, input, ref cacheScalpRadarHighLowEnvelope);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			return indicator.ScalpRadarHighLowEnvelope(Input, indicatorInfo, period, showHighestHigh, showLowestLow, highCalcMethod, lowCalcMethod);
		}


		
		public Indicators.ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(ISeries<double> input , string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			return indicator.ScalpRadarHighLowEnvelope(input, indicatorInfo, period, showHighestHigh, showLowestLow, highCalcMethod, lowCalcMethod);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			return indicator.ScalpRadarHighLowEnvelope(Input, indicatorInfo, period, showHighestHigh, showLowestLow, highCalcMethod, lowCalcMethod);
		}


		
		public Indicators.ScalpRadar.ScalpRadarHighLowEnvelope ScalpRadarHighLowEnvelope(ISeries<double> input , string indicatorInfo, int period, bool showHighestHigh, bool showLowestLow, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod highCalcMethod, ScalpRadarHighLowEnvelopeEnumNamespace.CalculationMethod lowCalcMethod)
		{
			return indicator.ScalpRadarHighLowEnvelope(input, indicatorInfo, period, showHighestHigh, showLowestLow, highCalcMethod, lowCalcMethod);
		}

	}
}

#endregion
